OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.GeometryShader4

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_geometry_shader4 extension, see http://www.opengl.org/registry/specs/EXT/geometry_shader4.txt.

Synopsis

- glProgramParameteri :: GLuint -> GLenum -> GLint -> IO ()
- glFramebufferTexture :: GLenum -> GLenum -> GLuint -> GLint -> IO ()
- glFramebufferTextureFace :: GLenum -> GLenum -> GLuint -> GLint -> GLenum -> IO ()
- gl_GEOMETRY_SHADER :: GLenum
- gl_GEOMETRY_VERTICES_OUT :: GLenum
- gl_GEOMETRY_INPUT_TYPE :: GLenum
- gl_GEOMETRY_OUTPUT_TYPE :: GLenum
- gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum
- gl_MAX_GEOMETRY_VARYING_COMPONENTS :: GLenum
- gl_MAX_VERTEX_VARYING_COMPONENTS :: GLenum
- gl_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum
- gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum
- gl_LINES_ADJACENCY :: GLenum
- gl_LINE_STRIP_ADJACENCY :: GLenum
- gl_TRIANGLES_ADJACENCY :: GLenum
- gl_TRIANGLE_STRIP_ADJACENCY :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum
- gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum
- gl_PROGRAM_POINT_SIZE :: GLenum

# Functions

glProgramParameteri :: GLuint -> GLenum -> GLint -> IO ()

glFramebufferTexture :: GLenum -> GLenum -> GLuint -> GLint -> IO ()

glFramebufferTextureFace :: GLenum -> GLenum -> GLuint -> GLint -> GLenum -> IO ()

# Tokens

gl_GEOMETRY_SHADER :: GLenum

gl_GEOMETRY_VERTICES_OUT :: GLenum

gl_GEOMETRY_INPUT_TYPE :: GLenum

gl_GEOMETRY_OUTPUT_TYPE :: GLenum

gl_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS :: GLenum

gl_MAX_GEOMETRY_VARYING_COMPONENTS :: GLenum

gl_MAX_VERTEX_VARYING_COMPONENTS :: GLenum

gl_MAX_GEOMETRY_UNIFORM_COMPONENTS :: GLenum

gl_MAX_GEOMETRY_OUTPUT_VERTICES :: GLenum

gl_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS :: GLenum

gl_LINES_ADJACENCY :: GLenum

gl_LINE_STRIP_ADJACENCY :: GLenum

gl_TRIANGLES_ADJACENCY :: GLenum

gl_TRIANGLE_STRIP_ADJACENCY :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS :: GLenum

gl_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_LAYERED :: GLenum

gl_PROGRAM_POINT_SIZE :: GLenum